﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Data.SqlClient;
using System.Data;

namespace ExecuteScalarDemo
{
    class Program
    {
        static void Main(string[] args)
        {
            AddContact("李一", "888888888", GetConnectionString());
        }

        static public int AddContact(string newName,string newPhone, string connString)
        {
            Int32 newProdID = 0;
            string sql =
                "INSERT INTO Contact (Name,Phone) VALUES (@Name,@Phone); "
                + "SELECT CAST(scope_identity() AS int)";
            using (SqlConnection conn = new SqlConnection(connString))
            {
                SqlCommand cmd = new SqlCommand(sql, conn);
                cmd.Parameters.Add("@Name", SqlDbType.NVarChar);
                cmd.Parameters["@Name"].Value = newName;
                cmd.Parameters.Add("@Phone", SqlDbType.NVarChar);
                cmd.Parameters["@Phone"].Value = newPhone;
                try
                {
                    conn.Open();
                    newProdID = (Int32)cmd.ExecuteScalar();
                }
                catch (Exception ex)
                {
                    Console.WriteLine(ex.Message);
                }
            }
            return (int)newProdID;
        }

        static private string GetConnectionString()
        {
            return @"Data Source=.\SQLEXPRESS;Initial Catalog=ContactDB2;"
                + "Integrated Security=SSPI;";
        }

    }
}
