﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Data.SqlClient;

namespace SqlCommandDemo
{
    class Program
    {
        static void Main(string[] args)
        {
            ReadOrderData(GetConnectionString());
        }

        private static void ReadOrderData(string connectionString)
        {
            string queryString = "SELECT Name,Phone FROM dbo.Contact;";
            using (SqlConnection connection = new SqlConnection(connectionString))
            {
                SqlCommand command = new SqlCommand(queryString, connection);
                connection.Open();
                SqlDataReader reader = command.ExecuteReader();
                try
                {
                    while (reader.Read())
                    {
                        Console.WriteLine(String.Format("{0}, {1}", reader[0], reader[1]));
                    }
                    Console.ReadLine();
                }
                finally
                {
                    reader.Close();
                }
            }
        }

        static private string GetConnectionString()
        {
            return @"Data Source=PC0923USD\SQLEXPRESS;Initial Catalog=ContactDB2;"
                + "Integrated Security=SSPI;";
        }

    }
}
