﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Data.SqlClient;

namespace SqlConnectionDemo
{
    class Program
    {
        static void Main(string[] args)
        {
            OpenSqlConnection();
        }

        private static void OpenSqlConnection()
        {
            string connectionString = GetConnectionString();
            using (SqlConnection connection = new SqlConnection(connectionString))
            {
                connection.Open();
                Console.WriteLine("ServerVersion: {0}", connection.ServerVersion);
                Console.WriteLine("State: {0}", connection.State);
                connection.Close();
            }
           
            Console.ReadLine();
        }

        static private string GetConnectionString()
        {
            return @"Data Source=PC0923USD\SQLEXPRESS;Initial Catalog=ContactDB2;"
                + "Integrated Security=SSPI;";
        }

    }
}
